Subject: Re: [PATCH] powerpc, ocxl: Fix extraction of struct xive_irq_data

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Mon, 13 Oct 2025 22:16:25 +0530

Nam Cao <[email-masked]> writes:

> Commit cc0cc23babc9 ("powerpc/xive: Untangle xive from child interrupt
> controller drivers") changed xive_irq_data to be stashed to chip_data
> instead of handler_data. However, multiple places are still attempting to
> read xive_irq_data from handler_data and get a NULL pointer deference bug.
>
> Update them to read xive_irq_data from chip_data.
>
> Non-XIVE files which touch xive_irq_data seem quite strange to me,
> especially the ocxl driver. I think there ought to be an alternative
> platform-independent solution, instead of touching XIVE's data directly.
> Therefore, I think this whole thing should be cleaned up. But perhaps I
> just misunderstand something. In any case, this cleanup would not be
> trivial; for now, just get things working again.
>
> Fixes: cc0cc23babc9 ("powerpc/xive: Untangle xive from child interrupt controller drivers")
> Reported-by: Ritesh Harjani (IBM) <[email-masked]>
> Closes: https://lore.kernel.org/linuxppc-dev/[email-masked]/
> Signed-off-by: Nam Cao <[email-masked]>

Thanks Nam for the fix. I validated this with KVM on my POWER9 hardware and
this patch fixes the previosly reported problem at my end.

Feel free to add:
Tested-by: Ritesh Harjani (IBM) <[email-masked]> # KVM

-ritesh